/*
 * Copyright 2014-2015 CyberVision, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kaaproject.kaa.client.configuration.base;

import javax.annotation.Generated;

import org.kaaproject.kaa.schema.base.Configuration;

/**
 * Interface for the configuration manager.<br>
 * <br>
 * Responsible for configuration updates subscriptions and configuration obtaining.<br>
 * <br>
 * Configuration manager can be used to fetch current configuration at any time.
 * If there were no configuration updates, default configuration will be returned.
 * Default configuration is built-in to the sdk. <br>
 * 
 * @author Yaroslav Zeygerman
 * @author Andrew Shvayka
 * 
 */
@Generated("ConfigurationManager.java.template")
public interface ConfigurationManager extends GenericConfigurationManager {

    /**
     * Always returns latest configuration
     * 
     * @return configuration
     */
    Configuration getConfiguration();
}
